About Kaspersky Endpoint Security administration web plug-in

Kaspersky Endpoint Security administration web plug-in (hereinafter also referred to as web plug-in) provides interaction between Kaspersky Endpoint Security and Kaspersky Security Center Web Console. The web plug-in allows you to manage Kaspersky Endpoint Security using policies and tasks.

The web plug-in is not installed by default in Kaspersky Security Center 13 Web Console. In contrast to the administration plug-in for the Kaspersky Security Center Administration Console, which is installed on the administrator workstation, the web plug-in must be installed on a computer that has Kaspersky Security Center 13 Web Console installed. The functionality of the web plug-in is available to all administrators who have access to Web Console in a browser.

You can view the list of installed web plug-ins in Web Console interface: Console settingsPlug-ins. For more details about compatibility of web plug-in and Web Console versions, refer to Kaspersky Security Center documentation.

If in the properties of the Web Console Administration Server you select a language that is not included in Kaspersky Endpoint Security distribution package, then the License Agreement and the entire Web Console interface will be displayed in English.

Installing the web plug-in

You can install the web plug-in as follows:

Updating the web plug-in

If a new version of the web plug-in becomes available, Web Console displays the Updates are available for utilized plug-ins notification. You can proceed to update the web plug-in version from this Web Console notification. You can also manually check for new web plug-in updates in the Web Console interface (Console settingsPlug-ins). The previous version of the web plug-in will be automatically removed during the update.

When the web plug-in is updated, already existing components (for example, policies or tasks) are saved. The new settings of components implementing new functions of Kaspersky Endpoint Security will appear in existing components and will have the default values.

You can update the web plug-in as follows:

If any component is opened (such as a policy or task), the web plug-in checks its compatibility information. If the version of the web plug-in is equal to or later than the version specified in the compatibility information, you can change the settings of this component. Otherwise, you cannot use the web plug-in to change the settings of the selected component. It is recommended to update the web plug-in.

Page top